# Query User Profiles Query User Profiles ## Creates a new query user profile record that does not already exist. - [POST /queryUserProfiles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/createqueryuserprofile.md): This method will auto-generate an ID and create a new query user profile. If an ID is specified for the query user profile, an error will be thrown. ## Execute Batch Operations - [POST /queryUserProfiles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a query user profile from the system by its ID. - [DELETE /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/deletequeryuserprofile.md): This method will delete a query user profile with the specified ID. ## Returns a query user profile from the system by its ID. - [GET /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/getqueryuserprofile.md): This method will look up a query user profile by the specified ID and return it back. ## Partially updates a query user profile with the specified ID. - [PATCH /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/patchqueryuserprofile.md): This method will patch an existing query user profile with the specified ID, using the HTTP PATCH specification. ## Updates a query user profile with the specified ID. - [PUT /queryUserProfiles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/query-user-profiles/updatequeryuserprofile.md): This method will update an existing query user profile with the specified ID.